Skip to main content
GET
/
knowledge-base
/
{knowledge_base_id}
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

knowledge_base_id = "a7aba494-c043-455c-8429-3ae7e58f957e"

response = client.knowledge_base.get(knowledge_base_id)
print(response)
{
  "status": "success",
  "data": {
    "_id": "69f9ac509e0388ee380f73d1",
    "user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
    "name": "FAQ",
    "description": "Frequently asked questions",
    "files": [
      {
        "original_filename": "faq.pdf",
        "s3_key": "knowledge-base/686e8db4-15df-435e-84fe-b5f6334c2015-faq.pdf",
        "file_url": "https://pluto-superu.s3.amazonaws.com/knowledge-base/686e8db4-15df-435e-84fe-b5f6334c2015-5_letters.csv",
        "file_size": 27500,
        "uploaded_at": "2026-05-05T08:37:36.632000",
        "file_content": {
          "$binary": {
            "base64": "...",
            "subType": "00"
          }
        }
      }
    ],
    "total_files": 1,
    "kb_uuid": "a7aba494-c043-455c-8429-3ae7e58f957e",
    "created_at": "2026-05-05T08:37:36.632000",
    "updated_at": "2026-05-05T08:37:45.530000",
    "embedding_status": "completed",
    "embedding_info": {
      "total_files_processed": 1,
      "total_processing_time": 8.723745822906494,
      "results": [
        {
          "file": "faq.pdf",
          "file_type": "pdf",
          "success": true,
          "chunks_created": 39,
          "processing_time": 8.723745822906494
        }
      ]
    },
    "total_chunks": 39
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Path Parameters

knowledge_base_id
string
default:a7aba494-c043-455c-8429-3ae7e58f957e
required

Knowledge base ID

Example:

"a7aba494-c043-455c-8429-3ae7e58f957e"

Response

Knowledge base details

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.